%global commit 2a44063de864bb401b7fe8f50c3f3a0088309155
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		qvge
Version:	0.6.3
Release:	0.1git%{shortcommit}%{?dist}
License:	MIT and LGPLv3 and BSD
Summary:	Graph editor
URL:		https://arsmasiuk.github.io/qvge/
Source0:	https://github.com/ArsMasiuk/qvge/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:	make
BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	libappstream-glib
BuildRequires:	boost-devel
# qt5-qtbase-devel
BuildRequires:	pkgconfig(Qt5Gui)
# qt5-qtx11extras-devel
BuildRequires:	pkgconfig(Qt5X11Extras)
# qt5-qtsvg-devel
BuildRequires:	pkgconfig(Qt5Svg)
# Virtuals
# qpocessinfo (https://github.com/baldurk/qprocessinfo) - BSD
Provides:	bundled(qprocessinfo)
# qsint-widgets (part of https://sourceforge.net/projects/qsint/) - LGLPv3
Provides:	bundled(qsint) = 0.4.0
# qtpropertybrowser (part of https://github.com/qtproject/qt-solutions) - BSD)
Provides:	bundled(qtpropertybrowser) = 2.7
Requires:	shared-mime-info


%description
Multiplatform graph editor written in C++/Qt.
Its main goal is to make possible visually edit two-dimensional graphs in a
simple and intuitive way.


%prep
%autosetup -n %{name}-%{commit}


%build
pushd src
%{qmake_qt5} PREFIX=%{_prefix}
%{make_build}
popd


%install
pushd src
%{make_install} INSTALL_ROOT=%{buildroot}
popd
# prepare license files
mv src/3rdParty/qtpropertybrowser/LICENSE src/3rdParty/qprocessinfo/LICENSE.qtpropertybrowser
mv src/3rdParty/qprocessinfo/LICENSE src/3rdParty/qprocessinfo/LICENSE.qprocessinfo
mv src/3rdParty/qsint-widgets/README.txt src/3rdParty/qsint-widgets/README.qsint


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
# 'make check' not supported with upstream


%files
%license LICENSE src/3rdParty/qprocessinfo/LICENSE.qtpropertybrowser src/3rdParty/qprocessinfo/LICENSE.qprocessinfo src/3rdParty/qsint-widgets/README.qsint
%doc README.md
%{_bindir}/qvgeapp
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed May 19 2021 TI_Eugene <ti.eugene@gmail.com> - 0.6.3-0.1
- Version bump (prerelease)
- Fixed License tag

* Sun May 09 2021 TI_Eugene <ti.eugene@gmail.com> - 0.6.2-4
- Added 'BR: make'
- Added 'R: shared-mime-info'
- 'make check' note
- Licenses cleanups ('License:' tag, appdata.xml, files/license section)

* Mon May 03 2021 TI_Eugene <ti.eugene@gmail.com> - 0.6.2-3
- Bundling definitions added

* Tue Jan 19 2021 TI_Eugene <ti.eugene@gmail.com> - 0.6.2-2
- Licenses fixes
- Desktop files fixes

* Thu Jan 07 2021 TI_Eugene <ti.eugene@gmail.com> - 0.6.2-1
- initial packaging for Fedora
